Page MenuHomePhabricator

Visualize the translation funnel: entry points
Open, In Progress, MediumPublic

Description

As part of the efforts to visualize the translation funnel (T328912) to provide an end-to-end view of the translation activity, this ticket focuses on the initial part of the funnel: entry points.

This is an initial iteration to start visualizing how users arrive to our system through the entry points and the paths they take. We want to represent how many people access the different entry points and how many reach the next stages currently instrumented (e.g., starting/publishing a translation).

Report: https://kcvelaga.quarto.pub/cx-mobile-entry-points-funnel-analysis-v1-jan-2024/

Event Timeline

Pginer-WMF triaged this task as Medium priority.Feb 6 2023, 11:46 AM
Pginer-WMF created this task.
Pginer-WMF raised the priority of this task from Medium to High.Sep 1 2023, 2:57 PM
Pginer-WMF moved this task from Backlog to Priority Backlog on the Language-analytics board.
KCVelaga_WMF changed the task status from Open to In Progress.Nov 13 2023, 4:27 AM
KCVelaga_WMF claimed this task.
KCVelaga_WMF moved this task from Next 2 weeks to Doing on the Product-Analytics (Kanban) board.
KCVelaga_WMF lowered the priority of this task from High to Medium.Jan 6 2024, 3:23 PM
KCVelaga_WMF moved this task from Doing to Needs Review on the Product-Analytics (Kanban) board.

@Pginer-WMF Checking-in on this task, if you have thoughts/feedback on the analysis and for next iteration. We can resolve it accordingly.

This analysis is great. Thanks for working on this, @KCVelaga_WMF.

My only suggestion would be to add a link to the documentation of Content Translation entry points from the report can help people to visualize which entry points we are talking about since just the names can be a bit confusing. Taking images from the documentation and adding them to the report may be also nice, but may not be needed if that requires too much effort.

One question that came to mind is about the "Frequency of Entry Points Usage (by comparative size of target language Wikipedia)" summary section. In this section, there is the following claim: "This is related to the observations from the user edit bucket, larger Wikipedias tend to have more newcomers compared to smaller Wikipedias." Are numbers similar when comparing the same group across larger and smaller wikis? I was wondering if smaller wikis having less articles where you can access the entry point from may make a difference too.

Also sharing some of my takeaways (feel free to suggest any correction):

  • The Language selector is the most common entry point to translation on mobile. In most cases, through the missing languages suggested directly in the selector ("frequent_languages") as it is often the case of newcomers, but also when searching for a language in which content is not available ("content_language_selector").
    • These two entry points are focused on articles that do not exist in the target language. So there are no frequently accessed entry points to expanding existing articles.
    • As editor expertise increases, the "frequent_languages" entry point becomes less dominant: from 85% (for newcomers with 0 edits) to 41% (for users with 1K+ edits)
  • Most people access the tool through the external entry points (97%), so in most cases the contents to translate are already selected.
  • After a translation is selected, not everyone continues to make an edit. The more experienced, the more likely it is to transition into the editor and make an edit: from 8% of editors in the 1-4 edit group to 32% of editors with 1K+ edit count. Interestingly, the 0-edit users have a higher percentage of success in the transition than the 1-4 edit group (screenshot below).
    • @KCVelaga_WMF do you have any hypothesis on why the 0-edit group can transition more often than the 1-4 edit group?
  • From the dashboard, suggestions are more common of a starting point than searching from a specific article, except for the 1K+ editors where search is more common.

htmlpreview.github.io__https___github.com_wikimedia-research_content-translation-funnel-analysis_blob_main_T328913_sx_mobile_entry_points.html(Wiki Tablet).png (539×866 px, 87 KB)

@Pginer-WMF thanks for reviewing and the comments

  • You are right, the names assume some familiarity with the entry points, but that's not ideal. It is best that anyone with little to no familiarity of the CX workflow can understand the report. For now, I have added a link to the documentation. For the next iteration, we can have images and also more descriptive names rather than technical variable names for the entry points.

One question that came to mind is about the "Frequency of Entry Points Usage (by comparative size of target language Wikipedia)" summary section. In this section, there is the following claim: "This is related to the observations from the user edit bucket, larger Wikipedias tend to have more newcomers compared to smaller Wikipedias." Are numbers similar when comparing the same group across larger and smaller wikis? I was wondering if smaller wikis having less articles where you can access the entry point from may make a difference too.

I didn't fully understand your question. Do you mean as smaller Wikipedias may have comparatively lesser number of articles, frequent language selector maybe less visible than content language selector?


The Language selector is the most common entry point to translation on mobile. In most cases, through the missing languages suggested directly in the selector ("frequent_languages") as it is often the case of newcomers, but also when searching for a language in which content is not available ("content_language_selector").

These two entry points are focused on articles that do not exist in the target language. So there are no frequently accessed entry points to expanding existing articles.

Yes, that is right, but we can't yet conclude about users are not frequently accessing entry points for expanding entry points. A big caveat of this analysis is that it is very limited by the data and the coverage of the instrumentation. The only event source that currently seems to be implemented for expanding an article is new section is recent_translation, however, there are other possible event sources:

  • invite_translate_another_section: the invitation shown when the user views a section translation they have just published. If the user accepts the invitation, they are taken straight to the “select a section” step for the same article, making this source similar to direct_preselect.
  • recent_edit: An invitation shown when the user is on a page that they have edited in another language recently in their 10 latest significant edits (+500 bytes or more) for a section missing in the current language.
  • return_from_section_selection: returns to the dashboard after picking a section to translation (only accessible for non-lead section translations).

In addition, a significant chunk of the sessions had to be considered out of the analysis due to issues listed at T353882: Investigate issues with CX events: session position, global edit count, session id expiration. So we can't conclude at this point about entry points to expanding existing articles, however, we can say that frequent languages and content language selectors are the dominant entry points when it comes to prompting users to create articles that do not exist in the target language.

any hypothesis on why the 0-edit group can transition more often than the 1-4 edit group?

Not anything concrete at this point. Referring back to the caveat I mentioned above, there isn't reasonably strong evidence at this point especially as the difference is not very significant (~4%). A possible explanation could be that, users with 0 edits might be more curious about the next stage, so they tend to try, but for users with a few more edits, they might have some idea of what's next, so they choose a different path (returning back to the dashboard). Actually looking at the number of people who ended session, after reaching the translation start screen, more users with 0 editors tend to end the session as compared to users with 1-4 edits. In case of users with 1-4 edits, more of them are returning back to the main dashboard (59%). So considering the overall funnel, the churn rate for users 0 edits is actually higher at translation start screen for users with 0 edits. For the next iteration, it will be worth looking at the user actions taken by users who return back to the dashboard from the start screen to understand what's happening.